<?php

namespace App\DBTestSupport;

use Illuminate\Support\Facades\DB;

class TypeTourMother {
    
    public static function build1($id = 1) {
        return [
            'Id_TypeTour' => $id,
            'TypeTour_Name' => 'asdsa',
            'TypeTour_Abrv' => 'ASD',
            'TypeTour_Status' => 2
        ];
    }

    public static function push1($id = 1) {
        return self::push(self::build1($id));
    }

    private static function push($object) {
        DB::select("CALL `sp_type_tour_insert` (?,?,?)", [
            $object['TypeTour_Name'],
            $object['TypeTour_Abrv'],
            $object['TypeTour_Status']
        ]);
        return $object;
    }

}